<?php 
	/**
	 * Author Message section
	 */
	// Author Message section
	$wp_customize->add_section(
		'blog_cafe_author',
		array(
			'title' => esc_html__( 'Author Message', 'blog-cafe' ),
			'panel' => 'blog_cafe_home_panel',
		)
	);

	// Fretured Post Section enable setting
	$wp_customize->add_setting(
		'blog_cafe_author_section_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_author_section_enable',
		array(
			'section'		=> 'blog_cafe_author',
			'label'			=> esc_html__( 'Enable Author Message Section.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);
	// Slider number setting
	$wp_customize->add_setting(
		'blog_cafe_author_secion_excerpt',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_number_range',
			'default' => 30,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'blog_cafe_author_secion_excerpt',
		array(
			'section'		=> 'blog_cafe_author',
			'label'			=> esc_html__( 'Excerpt Length', 'blog-cafe' ),
			'description'			=> esc_html__( 'Min: 10 | Max: 200', 'blog-cafe' ),
			'active_callback' => 'blog_cafe_is_author_enable',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 10, 'max' => 200 ),
		)
	);
	

	// Author Message post setting
	$wp_customize->add_setting(
		'blog_cafe_author_post',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_dropdown_pages',
			'default' => 10,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_author_post',
		array(
			'section'		=> 'blog_cafe_author',
			'label'			=> esc_html__( 'Post:', 'blog-cafe' ),
			'active_callback' => 'blog_cafe_is_author_enable',
			'type'			=> 'select',
			'choices'		=> blog_cafe_get_post_choices(),
		)
	);
	?>