<?php
/**
	 * Featured section
	 */
	// Featured section
	$wp_customize->add_section(
		'blog_cafe_featured',
		array(
			'title' => esc_html__( 'Featured Post', 'blog-cafe' ),
			'panel' => 'blog_cafe_home_panel',
		)
	);

	// Featured Section enable setting
	$wp_customize->add_setting(
		'blog_cafe_featured_section_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_section_enable',
		array(
			'section'		=> 'blog_cafe_featured',
			'label'			=> esc_html__( 'Enable Featured Section.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured title setting
	$wp_customize->add_setting(
		'blog_cafe_featured_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_title',
		array(
			'section'		=> 'blog_cafe_featured',
			'label'			=> esc_html__( 'Title:', 'blog-cafe' ),
			'active_callback' => 'blog_cafe_is_featured_enable'
		)
	);

	// Featured category setting
	$wp_customize->add_setting(
		'blog_cafe_featured_cat',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_cat',
		array(
			'section'		=> 'blog_cafe_featured',
			'label'			=> esc_html__( 'Category:', 'blog-cafe' ),
			'active_callback' => 'blog_cafe_is_featured_enable',
			'type'			=> 'select',
			'choices'		=> blog_cafe_get_post_cat_choices(),
		)
	);
	$featured_num = get_theme_mod( 'blog_cafe_featured_num', 2 );
	for ( $i=1; $i <= $featured_num; $i++ ) { 

		// Featured custom name setting
		$wp_customize->add_setting(
			'blog_cafe_featured_custom_btn_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				// 'default' => $default['blog_cafe_featured_custom_btn'],
			)
		);

		$wp_customize->add_control(
			'blog_cafe_featured_custom_btn_' . $i,
			array(
				'section'		=> 'blog_cafe_featured',
				'label'			=> esc_html__( 'Button text ', 'blog-cafe' ) . $i,
				'active_callback' => 'blog_cafe_is_featured_enable'
			)
		);
	}
?>