<?php
/**
	 * Slider section
	 */
	// Slider section
	$wp_customize->add_section(
		'blog_cafe_slider',
		array(
			'title' => esc_html__( 'Banner Slider', 'blog-cafe' ),
			'panel' => 'blog_cafe_home_panel',
		)
	);

	// Slider Section enable setting
	$wp_customize->add_setting(
		'blog_cafe_featured_slider_section_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_slider_section_enable',
		array(
			'section'		=> 'blog_cafe_slider',
			'label'			=> esc_html__( 'Enable Featured Slider Section.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);

	// Slider Dot enable setting
	$wp_customize->add_setting(
		'blog_cafe_featured_slider_dot_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_slider_dot_enable',
		array(
			'section'		=> 'blog_cafe_slider',
			'label'			=> esc_html__( 'Enable Featured Slider Dot.', 'blog-cafe' ),
			'type'			=> 'checkbox',
			'active_callback' => 'blog_cafe_is_featured_slider_enable',
		)
	);
	// Slider Fade Effect enable setting
	$wp_customize->add_setting(
		'blog_cafe_featured_slider_fade_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_slider_fade_enable',
		array(
			'section'		=> 'blog_cafe_slider',
			'label'			=> esc_html__( 'Enable Slider Fade Effect.', 'blog-cafe' ),
			'type'			=> 'checkbox',
			'active_callback' => 'blog_cafe_is_featured_slider_enable',
		)
	);
	// Slider Infinite Enable setting
	$wp_customize->add_setting(
		'blog_cafe_featured_slider_arrow_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_featured_slider_arrow_enable',
		array(
			'section'		=> 'blog_cafe_slider',
			'label'			=> esc_html__( 'Enable Featured Slider Arrow.', 'blog-cafe' ),
			'type'			=> 'checkbox',
			'active_callback' => 'blog_cafe_is_featured_slider_enable',
		)
	);
	
	$wp_customize->add_setting(
			'blog_cafe_slider_decoration_image',
			array(
				'sanitize_callback' => 'blog_cafe_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'blog_cafe_slider_decoration_image',
				array(
					'section'		=> 'blog_cafe_slider',
					'label'			=> esc_html__( 'Banner Decoration Image', 'blog-cafe' ),
					'active_callback' => 'blog_cafe_is_featured_slider_enable',
				)
			)
		);

	for ( $i=1; $i <= 3; $i++ ) { 
		

		// Slider custom name setting
		$wp_customize->add_setting(
			'blog_cafe_slider_custom_subtitle_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['blog_cafe_slider_custom_subtitle'],
			)
		);

		$wp_customize->add_control(
			'blog_cafe_slider_custom_subtitle_' . $i,
			array(
				'section'		=> 'blog_cafe_slider',
				'label'			=> esc_html__( 'Sub Title', 'blog-cafe' ) . $i,
				'active_callback' => 'blog_cafe_is_featured_slider_enable'
			)
		);

		// Slider custom name setting
		$wp_customize->add_setting(
			'blog_cafe_slider_custom_btn_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['blog_cafe_slider_custom_btn'],
			)
		);

		$wp_customize->add_control(
			'blog_cafe_slider_custom_btn_' . $i,
			array(
				'section'		=> 'blog_cafe_slider',
				'label'			=> esc_html__( 'Button text ', 'blog-cafe' ) . $i,
				'active_callback' => 'blog_cafe_is_featured_slider_enable'
			)
		);

		

		// Slider post setting
		$wp_customize->add_setting(
			'blog_cafe_slider_post_' . $i,
			array(
				'sanitize_callback' => 'blog_cafe_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'blog_cafe_slider_post_' . $i,
			array(
				'section'		=> 'blog_cafe_slider',
				'label'			=> esc_html__( 'Post ', 'blog-cafe' ) . $i,
				'active_callback' => 'blog_cafe_is_featured_slider_enable',
				'type'			=> 'select',
				'choices'		=> blog_cafe_get_post_choices(),
			)
		);
		
		// Slider custom separator setting
		$wp_customize->add_setting(
			'blog_cafe_slider_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'blog_cafe_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new blog_cafe_Separator_Custom_Control( 
			$wp_customize,
			'blog_cafe_slider_custom_separator_' . $i,
				array(
					'section'		=> 'blog_cafe_slider',
					'active_callback' => 'blog_cafe_is_featured_slider_enable',
					'type'			=> 'blog-cafe-separator',
				)
			)
		);
	}
?>