<?php
/**
	 * Trending section
	 */
	// Trending section
	$wp_customize->add_section(
		'blog_cafe_trending',
		array(
			'title' => esc_html__( 'Trending Section', 'blog-cafe' ),
			'panel' => 'blog_cafe_home_panel',
		)
	);

	// Trending Section enable setting
	$wp_customize->add_setting(
		'blog_cafe_trending_section_enable',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_trending_section_enable',
		array(
			'section'		=> 'blog_cafe_trending',
			'label'			=> esc_html__( 'Enable Trending Section.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'blog_cafe_trending_section_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['blog_cafe_trending_section_title'],
		)
	);

	$wp_customize->add_control(
		'blog_cafe_trending_section_title',
		array(
			'section'		=> 'blog_cafe_trending',
			'label'			=> esc_html__( 'Section Title ', 'blog-cafe' ),
			'active_callback' => 'blog_cafe_is_trending_enable',
			'type'			=> 'text'
		)
	);

	// Trending category setting
	$wp_customize->add_setting(
		'blog_cafe_trending_cat',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'blog_cafe_trending_cat',
		array(
			'section'		=> 'blog_cafe_trending',
			'label'			=> esc_html__( 'Category:', 'blog-cafe' ),
			'active_callback' => 'blog_cafe_is_trending_enable',
			'type'			=> 'select',
			'choices'		=> blog_cafe_get_post_cat_choices(),
		)
	);
?>