<?php
    /**
 * Template part for displaying front page Featured.
 *
 * @package Shadow Themes
 */

/// Get default  mods value.
$featured_enable = get_theme_mod( 'blog_cafe_featured_section_enable', false );

if ( false == $featured_enable ) {
    return;
}

$header_font_size = get_theme_mod( 'blog_cafe_featured_header_font_size');
$title_font_size = get_theme_mod( 'blog_cafe_featured_post_font_size');
$featured = get_theme_mod( 'blog_cafe_featured_content_type', 'post' );
$featured_section_title = get_theme_mod( 'blog_cafe_featured_title');
$featured_section_subtitle = get_theme_mod( 'blog_cafe_featured_subtitle');


$default = blog_cafe_get_default_mods();
$featured_num = get_theme_mod( 'blog_cafe_featured_num', 2 );
$excerpt_length = get_theme_mod( 'blog_cafe_featured_secion_excerpt',40); ?>

<div id="featured" class="page-section">
    <div class="wrapper">
        <?php if(!empty($featured_section_title)):?>
            <div class="shadow-section-header">
                <h2 class="shadow-section-title" style="font-size: <?php echo esc_attr($header_font_size); ?>px; " ><?php echo esc_html($featured_section_title);?></h2>
                <div class="seperator"></div>
                <?php if(!empty($featured_section_subtitle)):?>
                    <p class="shadow-section-subtitle"><?php echo esc_html($featured_section_subtitle);?></p>
                <?php endif;?>
            </div><!-- .shadow-section-header -->
        <?php endif; ?>
        <div class="shadow-section-content column-2">
            <?php
                $featured_cat_id = get_theme_mod( 'blog_cafe_featured_cat' );
                $args = array(
                    'cat' => $featured_cat_id,   
                    'posts_per_page' => $featured_num,
                    'ignore_sticky_posts' => true,
                );
                $query = new WP_Query( $args );

                $i = 1;
                if ( $query->have_posts() ) :
                    while ( $query->have_posts() ) :
                        $query->the_post(); ?>
                        <article>
                            <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
                                <a href="<?php echo the_permalink();?>" class="post-thumbnail-link"></a>
                            </div><!-- .featured-image -->

                            <div class="shadow-entry-container">

                                <header class="shadow-entry-header">
                                    <h2 class="shadow-entry-title"><a href="<?php echo the_permalink();?> " style="font-size: <?php echo esc_attr($title_font_size); ?>px; "><?php the_title();?></a></h2>
                                </header>
                                <div class="shadow-entry-meta">
                                    <?php blog_cafe_cats();  ?>
                                    <?php blog_cafe_posted_on(); ?>
                                </div>
                                <div class="shadow-entry-content">
                                    <?php
                                        $excerpt = blog_cafe_the_excerpt( $excerpt_length );
                                        echo wp_kses_post( wpautop( $excerpt ) );
                                    ?>
                                </div><!-- .shadow-entry-content -->
                                <?php $readmore_text = get_theme_mod( "blog_cafe_featured_custom_btn_" . $i );?>
                                <?php if (!empty($readmore_text)) {?>
                                    <div class="read-more">
                                        <a href="<?php the_permalink();?>" class="btn"><?php echo esc_html($readmore_text);?></a>
                                    </div><!-- .read-more -->
                                <?php } ?>
                            </div><!-- .shadow-entry-container -->
                        </article>
                <?php $i++;
                    endwhile; 
                endif;
            wp_reset_postdata();?>
        </div>
    </div>
</div>