<?php
/**
 * Template part for displaying front page trending.
 *
 * @package Shadow Themes
 */

/// Get default  mods value.
$trending_enable = get_theme_mod( 'blog_cafe_trending_section_enable', false );

if ( false == $trending_enable ) {
    return;
}

$header_font_size = get_theme_mod( 'blog_cafe_trending_header_font_size');
$button_font_size = get_theme_mod( 'blog_cafe_trending_button_font_size');
$trending_speed = get_theme_mod( 'blog_cafe_trending_speed',600);
$trending_infinite = get_theme_mod('blog_cafe_trending_infinite_enable', true);
$trending_dot = get_theme_mod('blog_cafe_trending_dot_enable', true);
$trending_autoplay = get_theme_mod('blog_cafe_trending_autoplay_enable', true);
$trending_arrow = get_theme_mod('blog_cafe_trending_arrow_enable', true);
$trending_fade = get_theme_mod('blog_cafe_trending_fade_enable', false);
$trending_content_opacity = get_theme_mod( 'blog_cafe_trending_content_opacity',60);
$trending_background_opacity = get_theme_mod( 'blog_cafe_trending_image_opacity',0);
$trending_decoration_image = get_theme_mod( 'blog_cafe_trending_decoration_image',0);
$trending = get_theme_mod( 'blog_cafe_trending_content_type', 'custom' );


$default = blog_cafe_get_default_mods();
$trending_num = get_theme_mod( 'blog_cafe_trending_num', 4 );
$trending_column = get_theme_mod( 'blog_cafe_trending_column', 3 );
$section_title = get_theme_mod( 'blog_cafe_trending_section_title', $default['blog_cafe_trending_section_title'] ); 

?>
<div id="trending" class="page-section" >
	<div class="wrapper">
		<div class="shadow-section-header">
			<h2 class="shadow-section-title"><?php echo esc_html($section_title) ?></h2>
		</div>
		<div class="trending-slider" class="<?php echo $trending_column==1 ? 'f-content-center': 'f-content-bottom'; ?>" data-slick='{"slidesToShow": <?php echo esc_attr($trending_column); ?>, "slidesToScroll": 1, "infinite": <?php echo $trending_infinite ? 'true': 'false'; ?>, "speed": <?php echo esc_attr($trending_speed); ?>, "dots": <?php echo $trending_dot ? 'true': 'false'; ?>, "arrows":<?php echo $trending_arrow ? 'true': 'false'; ?>, "autoplay": <?php echo $trending_autoplay ? 'true': 'false'; ?>, "draggable": true, "fade": <?php echo $trending_fade ? 'true': 'false'; ?> }'>
		    <?php
		    
		        $trending_cat_id = get_theme_mod( 'blog_cafe_trending_cat' );
		        $args = array(
		            'cat' => $trending_cat_id,   
		            'posts_per_page' => $trending_num,
		            'ignore_sticky_posts' => true,
		        );
			    $query = new WP_Query( $args );

			    $i = 1;
			    if ( $query->have_posts() ) :
			        while ( $query->have_posts() ) :
			            $query->the_post();
			            ?>
			            <article class="trending-container" >

			            	<div class="trending-inner" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
			                    <header class="shadow-entry-header">
			                        <h2 class="shadow-entry-title" style="font-size: <?php echo esc_attr($header_font_size); ?>px; " ><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h2>
			                    </header>
			                </div>
		    	        </article>
			        <?php 
			        $i++;
			    	endwhile;
			    endif; 
			    wp_reset_postdata();?>
		</div><!-- #trending slider -->
	</div><!-- .wrapper-->
</div><!-- #trending -->